<?php

/**
 * Rule checking that the form field is not empty
 */
require_once LAB_PATH_KERNEL.'/classes/HTML/QuickForm2/Rule/Required.php';

class HTML_LabData_Rule_Required extends HTML_QuickForm2_Rule_Required
{
	//added by Loki
	public function __construct(HTML_QuickForm2_Node $owner, $message = '', $config = null)
	{
		parent::__construct($owner, $message, $config);
		$this->owner->setAttribute('required');
	}
}
